%define name	linuxdcpp
%define version	1.1.0
%define snapshot 0
%define rel	5

%if %{snapshot}
%define release	%mkrel -c %snapshot %rel
%else
%define release %mkrel %rel
%endif

# for menu
%define title	LinuxDC++
%define comment	Direct Connect client

Summary:	A DC++ port for Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Networking/File transfer
URL:		http://launchpad.net/linuxdcpp/
%if %{snapshot}
Source:		%name-%snapshot.tar.bz2
%else
Source:		http://launchpad.net/linuxdcpp/1.1/%{version}/+download/linuxdcpp-%{version}.tar.bz2
%endif
Obsoletes:	linuxdc++ < 0-20070000
Provides:	linuxdc++ = %{version}
BuildRequires:	pkgconfig(glib-2.0) >= 2.4
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.6
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libglade-2.0) >= 2.4
BuildRequires:  libboost-devel
BuildRequires:	bzip2-devel
BuildRequires:	scons
BuildRequires:	gettext
BuildRequires:	ImageMagick

%description
LinuxDC++ is a project to port the DC++ Direct Connect client for
Linux.

%prep
%if %{snapshot}
%setup -q -n %name
%else
%setup -q
%endif

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
scons PREFIX="%{_prefix}"

%install
rm -rf %{buildroot}
scons PREFIX="%{_prefix}" FAKE_ROOT="%{buildroot}" release=1 install

rm -v %{buildroot}%{_datadir}/doc/linuxdcpp/*

install -d -m755 %{buildroot}%{_datadir}/applications

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

cp icons/hicolor/16x16/apps/linuxdcpp.png %{buildroot}%{_miconsdir}/%{name}.png
convert icons/hicolor/96x96/apps/linuxdcpp.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
cp icons/hicolor/48x48/apps/linuxdcpp.png %{buildroot}%{_liconsdir}/%{name}.png

desktop-file-edit \
                  --set-key "Categories" \
                  --set-value "Network;P2P;FileTransfer;GTK;" \
                  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang --all-name %{name}

%files -f %{name}.lang
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog

* Wed Apr 10 2013 malo <malo> 1.1.0-5.mga3
+ Revision: 409432
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 358854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 malo <malo> 1.1.0-3.mga2
+ Revision: 210894
- fixing desktop file category
- spec clean-up
- fix license to GPLv2

  + dmorgan <dmorgan>
    - imported package linuxdcpp

